@stdlib/constants-float64-min-base2-exponent-subnormal

The minimum biased base 2 exponent for a subnormal double-precision floating-point number.

Usage no npm install needed!

<script type="module">
  import stdlibConstantsFloat64MinBase2ExponentSubnormal from 'https://cdn.skypack.dev/@stdlib/constants-float64-min-base2-exponent-subnormal';
</script>

README

Minimum Subnormal Base 2 Exponent

NPM version Build Status Coverage Status dependencies

The minimum biased base 2 exponent for a subnormal double-precision floating-point number.

Installation

npm install @stdlib/constants-float64-min-base2-exponent-subnormal

Usage

var FLOAT64_MIN_BASE2_EXPONENT_SUBNORMAL = require( '@stdlib/constants-float64-min-base2-exponent-subnormal' );

FLOAT64_MIN_BASE2_EXPONENT_SUBNORMAL

The minimum biased base 2 exponent for a subnormal double-precision floating-point number.

var bool = ( FLOAT64_MIN_BASE2_EXPONENT_SUBNORMAL === -1074 );
// returns true

Examples

var FLOAT64_MIN_BASE2_EXPONENT_SUBNORMAL = require( '@stdlib/constants-float64-min-base2-exponent-subnormal' );

console.log( FLOAT64_MIN_BASE2_EXPONENT_SUBNORMAL );
// => -1074

Notice

This package is part of stdlib, a standard library for JavaScript and Node.js, with an emphasis on numerical and scientific computing. The library provides a collection of robust, high performance libraries for mathematics, statistics, streams, utilities, and more.

For more information on the project, filing bug reports and feature requests, and guidance on how to develop stdlib, see the main project repository.

Community

Chat


Copyright

Copyright © 2016-2021. The Stdlib Authors.